\name{checkannotationpackage}

\alias{checkannotationpackage}
\alias{checkgoannotation}
\alias{checkchrannotation}

\title{ Check if an annotation package contains the specified environment. }
\description{
  This is a utility function to verify user input. It checks whether a
  given annotation package provides a required environment.
}

\usage{
checkannotationpackage(X, Y)
checkgoannotation(X)
checkchrannotation(X)
}

\arguments{
  \item{X}{ Package name }
  \item{Y}{ Name of one or several environments as a character vector. }
}

\details{
  The function tries to load the package and subsequently checks for the
  presence of the specified environments in that package. If any of them
  are not present the function will return \code{FALSE}.
  \code{checkgoannotation} and \code{checkchrannotation} directly check
  for necessary environments with gene ontology information or
  chromosome information.
}

\value{
  \code{TRUE} if the package contains the required environment or
  \code{FALSE} if the environment cannot be found.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{clusterAnnotationGO-abp-class}}
  \code{\link{clusterAnnotationChromosome-abp-class}}
} 

\examples{
checkgoannotation("YEAST")
}

\keyword{ utilities }
