\name{clusterAlgorithm-class}

\docType{class}

\alias{clusterAlgorithm-class}

\alias{config,clusterAlgorithm-method}
\alias{execute,clusterAlgorithm-method}
\alias{reset,clusterAlgorithm-method}
\alias{setup<-,clusterAlgorithm-method}
\alias{setup,clusterAlgorithm-method}
\alias{print,clusterAlgorithm-method}

\title{Class "clusterAlgorithm"}

\description{An abstract class that provides a framework for the
   clustering algorithms of \code{goCluster}.} 

\section{Slots}{
  \describe{
    \item{\code{clusterset}:}{Object of class \code{"list"}, a
      "tree" of clusters. Each list element can contain another list but the
      terminal entries need to be numeric vectors containg indices of
      the genes comprising the group.
    }
  }

  Additional slots are described in the documentation for the
  \code{\link{clusterModule-class}}.
}

\section{Extends}{
Class \code{"clusterModule"}, directly.
}

\section{Methods}{
  \describe{
    \item{config}{\code{signature(object = "clusterAlgorithm")}:
      This function does nothing since this is an abstract class.}
    \item{setup}{\code{signature(object = "clusterAlgorithm")}:
      This function returns an empty list since this is an abstract
      class.}
    \item{setup<-}{\code{signature(object = "clusterAlgorithm")}:
      This function does nothing since this is an abstract class.}
    \item{execute}{\code{signature(object = "clusterAlgorithm")}:
      This function does nothing since this is an abstract class.}
    \item{execute<-}{\code{signature(object = "clusterAlgorithm")}:
      This function does nothing since this is an abstract class.}
    \item{reset}{\code{signature(object = "clusterAlgorithm")}:
      This function resets the \code{clusterset}-slot to an empty list.}
    \item{print}{\code{signature(object = "clusterAlgorithm")}:
      This function does nothing since this is an abstract class.}
  }
}

\details{
This class represents a wrapper for the different gene selection or
partitioning algorithms of \code{goCluster}. It provides a slot
to be used for storing gene groups as a list of lists (tree).
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
  \code{\link{clusterModule-class}},
  \code{\link{clusterAlgorithmKmeans-class}},
  \code{\link{clusterAlgorithmHclust-class}},
  \code{\link{clusterAlgorithmClara-class}},
  \code{\link{clusterAlgorithmPam-class}}
 }

\keyword{classes}

