\name{clusterAnnotation-class}

\docType{class}

\alias{clusterAnnotation-class}
\alias{config,clusterAnnotation-method}
\alias{execute,clusterAnnotation-method}
\alias{reset,clusterAnnotation-method}
\alias{setup<-,clusterAnnotation-method}
\alias{setup,clusterAnnotation-method}
\alias{print,clusterAnnotation-method}

\title{Class "clusterAnnotation", an abstract class that represents
  functions for annotating microarray datasets.}

\description{This class provides a skeleton for the linkage of gene IDs
  or other identifiers with annotation information. The annotated data
  can subsequently be analysed using \code{goCluster}.} 

\section{Slots}{
  \describe{
    \item{\code{type}:}{Object of class \code{"character"}, a
      description of the annotation type. }
    \item{\code{annoset}:}{Object of class \code{"list"}, the annotation
      data in a list format. Each list element contains annotation data
      of a specific type.
      information for one specific data ID and holds annotation data in
      the format specified with the slot \code{type}.}
  }

  Additional slots are described in the documentation of the
  \code{\link{clusterModule-class}}.
}

\section{Methods}{
  \describe{
    \item{config}{\code{signature(object = "clusterAnnotation")}:
      This function does nothing since this is an abstract class.}
    \item{setup}{\code{signature(object = "clusterAnnotation")}:
      This function returns an empty list since this is an abstract
      class.}
    \item{setup<-}{\code{signature(object = "clusterAnnotation")}:
      This function does nothing since this is an abstract class.}
    \item{execute}{\code{signature(object = "clusterAnnotation")}:
      This function does nothing since this is an abstract class.}
    \item{execute<-}{\code{signature(object = "clusterAnnotation")}:
      This function does nothing since this is an abstract class.}
    \item{reset}{\code{signature(object = "clusterAnnotation")}:
      This function resets the \code{clusterset}-slot to an empty list.}
    \item{print}{\code{signature(object = "clusterAnnotation")}:
      This function does nothing since this is an abstract class.}
  }
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
  \code{\link{clusterModule-class}},
  \code{\link{clusterData-class}},
  \code{\link{clusterAnnotationGO-abp-class}},
  \code{\link{clusterAnnotationChromosome-abp-class}}
} 

\keyword{classes}

