\name{clusterAnnotationLookup-class}

\docType{class}

\alias{clusterAnnotationLookup-class}
\alias{config,clusterAnnotationLookup-method}
\alias{execute,clusterAnnotationLookup-method}
\alias{reset,clusterAnnotationLookup-method}
\alias{setup<-,clusterAnnotationLookup-method}
\alias{setup,clusterAnnotationLookup-method}
\alias{print,clusterAnnotationLookup-method}

\title{Class "clusterAnnotationLookup", provides LocusLink -> GO annotation 
	     information via an external lookup table.}
\description{This class can be used to provide LocusLink IDs via
		  a lookup table. The LocusLink ID's will then be mapped
		  to GO identifiers.} 

\section{Slots}{
  \describe{
    \item{\code{lookup}:}{Path to the lookup table.}
  }

  Additional slots are described in the documentation of the
  \code{\link{clusterAnnotation-class}} and \code{\link{clusterModule-class}}.
}

\section{Extends}{
Class \code{"clusterAnnotation"}, directly.
Class \code{"clusterModule"}, by class \code{"clusterAnnotation"}.
}

\section{Methods}{
  \describe{
    \item{config}{\code{signature(object = "clusterAnnotationLookup")}:
      interactive setup of the class. You will be asked to specify the
      path of the lookup file.}
    \item{setup}{\code{signature(object = "clusterAnnotationLookup")}:
      returns the configuration of the object as a list. This list can
      again be used for the non-interactive setup of the class. }
    \item{setup<-}{\code{signature(object = "clusterAnnotationGO")}:
      non-interactive setup of the class. The options are specified
      using a list. }
    \item{execute}{\code{signature(object = "clusterAnnotationLookup")}:
      build the annotation information to make it suitable for 
      statistical analysis.}
    \item{reset}{\code{signature(object = "clusterAnnotationLookup")}:
      remove all annotation data that has been retrieved so that the
      \code{execute} function can be run again.}
    \item{print}{\code{signature(object = "clusterAnnotationLookup")}:
      This function prints some basic information about the content of
      this object.}
  }
}

\details{
The lookup file must have the common csv format. It must provide a header 
with the column names and the values are seperated by ",". The file may 
only have two columns. The first column specifies the locus link ID, the
second column represents the matching gene ID. Please ensure that the 
gene ID's do match exactly to the rownames in your dataset.

While this class only links LocusLink with Go it is actually a good example
of how you can import external data from a lookup table into the statistical
analysis process of goCluster.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
  \code{\link{clusterModule-class}},
  \code{\link{clusterAnnotation-class}},
  \code{\link{clusterData-class}}
} 

\examples{


}

\keyword{classes}

