\name{clusterStatistic-class}

\docType{class}

\alias{clusterStatistic-class}
\alias{config,clusterStatistic-method}
\alias{execute,clusterStatistic-method}
\alias{reset,clusterStatistic-method}
\alias{setup<-,clusterStatistic-method}
\alias{setup,clusterStatistic-method}
\alias{print,clusterStatistic-method}

\title{Class "clusterStatistic" provides statistical analysis for goCluster}

\description{An abstract class that provides a framework for the
  statistical functions of \code{goCluster}.} 

\section{Slots}{
  \describe{
    \item{\code{statset}:}{Object of class \code{"list"}. This object
      stores the result of the statistical analysis. Any class extending
    \code{clusterStatistic} is required to use this slot. }
  }
    
  Additional slots are described in the documentation of the
  \code{\link{clusterModule-class}}.
}

\section{Extends}{
Class \code{"clusterModule"}, directly.
}

\section{Methods}{
  \describe{
    \item{config}{\code{signature(object = "clusterStatistic")}:
      This function does nothing since this is an abstract class.}
    \item{setup}{\code{signature(object = "clusterStatistic")}:
      This function returns an empty list since this is an abstract
      class.}
    \item{setup<-}{\code{signature(object = "clusterStatistic")}:
      This function does nothing since this is an abstract class.}
    \item{execute}{\code{signature(object = "clusterStatistic")}:
      This function does nothing since this is an abstract class.}
    \item{execute<-}{\code{signature(object = "clusterStatistic")}:
      This function does nothing since this is an abstract class.}
    \item{reset}{\code{signature(object = "clusterStatistic")}:
      This function resets the \code{statset}-slot to an empty list.}
    \item{print}{\code{signature(object = "clusterStatistic")}:
      This function does nothing since this is an abstract class.}
  }
}

\details{

  This class provides a wrapper for statistical algorithms employed by
  \code{goCluster}. The class provides the generic slot \code{statset} for the
  results of the analysis.
  
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
  \code{\link{clusterModule-class}},
  \code{\link{clusterStatisticHyper-class}}
}

\keyword{classes}

