\name{clusterStatisticHyper-class}

\docType{class}

\alias{clusterStatisticHyper-class}
\alias{config,clusterStatisticHyper-method}
\alias{execute,clusterStatisticHyper-method}
\alias{reset,clusterStatisticHyper-method}
\alias{setup<-,clusterStatisticHyper-method}
\alias{setup,clusterStatisticHyper-method}
\alias{print,clusterStatisticHyper-method}

\title{Class "clusterStatisticHyper" provides the hypergeometric
  distribution for the goCluster analysis. }

\description{ This class provides the hypergeometric distribution for
  goCluster and can be used to identify gene groups that show a
  significant enrichement of similar annotation terms.}

\section{Slots}{
  All slots are described in the documentation of the
  \code{\link{clusterStatistic-class}} and \code{\link{clusterModule-class}}.
}

\section{Extends}{
Class \code{"clusterStatistic"}, directly.
Class \code{"clusterModule"}, by class \code{"clusterStatistic"}.
}

\section{Methods}{
  \describe{
    \item{config}{\code{signature(object = "clusterStatisticHyper")}:
      interactive setup of the class. There are no options that you can
      set on this class.}
    \item{setup}{\code{signature(object = "clusterStatisticHyper")}:
      returns the configuration of the object as a list. Since there are
      no options to this class, this is always an empty list. }
    \item{setup<-}{\code{signature(object = "clusterStatisticHyper")}:
      non-interactive setup of the class. Not necessary since this class
      has no options.}
    \item{execute}{\code{signature(object = "clusterStatisticHyper")}:
      runs the statistical analysis on the clustering results provided
      by the parent class. }
    \item{reset}{\code{signature(object = "clusterStatisticHyper")}:
      resets the results of this class so that the analysis can be run
      again. }
    \item{print}{\code{signature(object = "clusterStatisticHyper")}:
      This function prints some basic information about the content of
      this object. If the object has been executed, it will show the
      number clusters that have been analyzed. }
  }
}

\details{
  The class provides a wrapper around the \code{evalClusterHyper}
  function. Please read the corresponding documentation for further
  details.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{evalClusterHyper}},
  \code{\link{goCluster-class}},
  \code{\link{clusterModule-class}},
  \code{\link{clusterStatistic-class}}
}

\keyword{classes}
