\name{clusterVisual-class}

\docType{class}

\alias{clusterVisual-class}

\alias{config,clusterVisual-method}
\alias{execute,clusterVisual-method}
\alias{reset,clusterVisual-method}
\alias{setup<-,clusterVisual-method}
\alias{setup,clusterVisual-method}
\alias{display,clusterVisual-method}
\alias{print,clusterVisual-method}

\title{Class "clusterVisual"}

\description{An abstract class that provides a framework for the
  visualization of goCluster results.} 

\section{Slots}{
  All slots are described in the documentation for the
  \code{\link{clusterModule-class}}.
}

\section{Extends}{
Class \code{"clusterModule"}, directly.
}

\section{Methods}{
  \describe{
    \item{config}{\code{signature(object = "clusterVisual")}:
      This function does nothing since this is an abstract class.}
    \item{setup}{\code{signature(object = "clusterVisual")}:
      This function returns an empty list since this is an abstract
      class.}
    \item{setup<-}{\code{signature(object = "clusterVisual")}:
      This function does nothing since this is an abstract class.}
    \item{execute}{\code{signature(object = "clusterVisual")}:
      This function does nothing since this is an abstract class.}
    \item{execute<-}{\code{signature(object = "clusterVisual")}:
      This function does nothing since this is an abstract class.}
    \item{reset}{\code{signature(object = "clusterVisual")}:
      This function does nothing since this is an abstract class.}
    \item{display}{\code{signature(object = "clusterVisual")}:
      This function does nothing since this is an abstract class.}
    \item{print}{\code{signature(object = "clusterVisual")}:
      This function does nothing since this is an abstract class.}
  }
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
  \code{\link{clusterModule-class}}
}

\keyword{classes}

