\name{display-methods}

\docType{methods}

\alias{display}

\title{Display a visualization module}

\description{
  This method can be used on a \code{goCluster}-object. It will
  relay the call to the visualization sub-object of the
  \code{goCluster}-object. This will display the results prepared by the
  visualization classes. 
}

\section{Methods}{
  \describe{
    \item{object = "goCluster"}{ The method should only be called with a
    \code{goCluster}-object even though it is also defined for the
    visualization modules.}}
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{clusterModule-class}}.
}

\examples{

set.seed(1000)

data(benomylsetupsmall)

benomylsetupsmall$classalgo <- "clusterAlgorithmHclust"
benomylsetupsmall$algo$method   <- "complete"
benomylsetupsmall$algo$distance <- "euclidean"

benomylsetupsmall$classvisu <- "clusterVisualHclust"

a <- new("goCluster")

execute(a) <- benomylsetupsmall

if(interactive()){
## This example can only be run in an interactive mode

display(a, selection = 1)
}

}

\keyword{methods}
