\name{execute<--methods}

\docType{methods}

\alias{execute<-}

\title{Configures and executes a goCluster-module}

\description{
  This methods joins the \code{setup<-}-method with the
  \code{execute}-call and allow perform a \code{goCluster}-analysis in a
  single step.
}

\section{Methods}{
  \describe{
    \item{object = "clusterModule"}{ The method is only defined for
      the \code{clusterModule}-class. But it is available for any
      \code{goCluster}-object since all classes made available by the
      \code{goCluster}-package extend the basic
      \code{clusterModule}-class.
    }
  }
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
}

\examples{

set.seed(1000)

data(benomylsetupsmall)

a <- new("goCluster")

## This will assign the benomyl setup to the newly
## created goCluster-object a and subsequently
## execute the full analysis
execute(a) <- benomylsetupsmall

print(a)

}

\keyword{methods}
