\name{execute-methods}

\docType{methods}

\alias{execute}

\title{Executes a goCluster-module}

\description{
  After a \code{goCluster}-object has been configured its main function
  can be executed using this call. 
}

\section{Methods}{
  \describe{
    \item{object = "clusterModule"}{ The method is only defined for
      the \code{clusterModule}-class. But it is available for any
      \code{goCluster}-object since all classes made available by the
      \code{goCluster}-package extend the basic
      \code{clusterModule}-class.
    }
  }
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\examples{
## Load small a test dataset
data(benomylsetupsmall)

## Create an empty goCluster object
test <- new("goCluster")

## Assign the configuration to the object and directly execute it
execute(test) <- benomylsetupsmall

## You may also split setup and execution of an object

## Create an empty goCluster object
test <- new("goCluster")
setup(test) <- benomylsetupsmall

executed <- execute(test)

## You may also execute parts of an object
test <- new("goCluster")
setup(test) <- benomylsetupsmall

## You need to specify the parent object if you invoke execute
## on a goCluster subobject
annotatedDataset <- execute(test@data, test)

}

\keyword{methods}
