\name{getChildrenClasses}

\alias{getChildrenClasses}

\title{Get the children of an abstract class}
\description{
  This function searches for classes that extend the given class
  and returns their names.
} 

\usage{
getChildrenClasses(X, where = .GlobalEnv)
}

\arguments{
  \item{X}{The class name of the abstract class.}
  \item{where}{The environment that will be searched for children of
    that class.}
}

\details{
  \code{getChildrenClasses} will determine for each class defined in
  environment \code{where} if it extends the class \code{X}. The names
  of all classes that fall into this category are returned by the function.
}

\value{
  The a character vector of all classes defined in environment
  \code{where} that extend class \code{X}.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
  \code{\link{clusterAnnotation-class}},
  \code{\link{clusterData-class}},
  \code{\link{clusterAlgorithm-class}},
  \code{\link{clusterStatistic-class}},
  \code{\link{clusterSignif-class}},
  \code{\link{clusterVisual-class}}.
}

\examples{

## Should return the clustering algorithms provided by goCluster
getChildrenClasses("clusterAlgorithm")

}

\keyword{utilities}
