\name{groupCount}

\alias{groupCount}

\title{ Count the number of clusters }

\description{
  Counts the number of elements in a tree (list of lists). 
}

\usage{
groupCount(X)
}

\arguments{
  \item{X}{ A tree (list of lists) of clusters }
}

\details{
  Traverses a tree from the top to the leave nodes and counts the number
  of leave nodes or elements.
}

\value{
  The number of elements in the tree
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{clusterSignifFDR-class}}
}

\examples{

set.seed(1000)

data(benomylsetupsmall)

a <- new("goCluster")

execute(a) <- benomylsetupsmall

## Counts the number of clusters that have been analyzed in
## the statistical module of goCluster. This number is the
## product of the number of clusters in a single clustering
## and the number of randomized repeats that were analyzed
## for the FDR analysis
groupCount(a@sign@stat@statset)
}

\keyword{ utilities }
