\name{mergeResult}

\alias{mergeResult}

\title{ Merges two lists of selected genes to the selection with minimal
p-value }

\description{
  Two selection of genes are merged to one list. Genes that occur in
  both lists will be mentioned only once in the resulting list. Each
  gene is associated with an annotation term and a p-value and in case a
  gene occured twice, the final list will only retain the annotation
  with the lower p-value.
}
\usage{
mergeResult(result, mergedResult, annotations)
}

\arguments{
  \item{result}{ The first list to be merged to the second list. }
  \item{mergedResult}{ The second list to be merged. }
  \item{annotations}{ The number of annotations in each list. }
}

\value{
  The merged list.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{clusterVisualHclust-class}}
}

\examples{

a <- list(annotationA = rbind(c("GeneA",0.1),
                              c("GeneB",0.1)),
          annotationB = rbind(c("GeneA",0.01),
                              c("GeneB",0.01)))

b <- list(annotationA = rbind(c("GeneB",0.01),
                              c("GeneC",0.1)),
          annotationB = rbind(c("GeneA",0.1),
                              c("GeneB",0.1)))

mergeResult(a,b,2)
}

\keyword{ utilities }
