\name{minimizeSelection}

\alias{minimizeSelection}

\title{ Reduces the leaves of a tree to minimal p-values }

\description{
  Given a tree that holds significant annotation terms for a number of
  clusters, the function will reduce the selection of annotation terms
  in each node to the one with minimal p-value.
}

\usage{
minimizeSelection(X, annotations)
}

\arguments{
  \item{X}{ The tree of selected, significant annotations terms. }
  \item{annotations}{ The number of annotations present in the tree. }
}

\value{
  The tree, reduced to the annotation terms with minimal p-value.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{clusterVisualHclust-class}}
} 

\examples{
namedv1 <- c(0.01,0.1)
names(namedv1) <- c("GeneA", "GeneB")
namedv2 <- c(0.01,0.01)
names(namedv2) <- c("GeneB", "GeneC")
namedv3 <- c(0.5,0.1)
names(namedv3) <- c("GeneD", "GeneE")

a <- list(annotationA = namedv1,
          annotationB = namedv2,
          annotationC = namedv3)
b <- list(list(a,a),list(a,a))

minimizeSelection(a,3)

minimizeSelection(b,3)

}

\keyword{ utilities }
