\name{selectChild}

\alias{selectChild}

\title{Choosing the child of an abstract class}
\description{
  This function generates a menu that allows the user to choose a class
  that implements an abstract class.
} 

\usage{
selectChild(X, message)
}

\arguments{
  \item{X}{The class name of the parent class.}
  \item{message}{The informational message that will be shown together
    with the menu.}
}

\details{
  \code{selectChild} will offer a menu to choose a child of
  an abstract class. It retrieves all descendants of the class
  specified by \code{X} in the global environment and displays the
  ones extending the base class.
}

\value{
  The name of the class chosen by the user.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
  \code{\link{clusterAnnotation-class}},
  \code{\link{clusterData-class}},
  \code{\link{clusterAlgorithm-class}},
  \code{\link{clusterStatistic-class}},
  \code{\link{clusterSignif-class}},
  \code{\link{clusterVisual-class}}.
  \code{\link{selectCore}}.
}

\examples{
if(interactive()){
## This example can only be run in an interactive mode

selectChild("clusterAlgorithm", "Please choose one of the following algorithms")
}
}

\keyword{utilities}
