\name{selectDouble}

\alias{selectDouble}

\title{A menu for choosing a floating point number}

\description{
  This function generates a menu that will allow the user to 
  choose a floating point number.
} 

\usage{
selectDouble(message, min, max)
}

\arguments{
  \item{message}{The message that will be shown together
    with the menu.}
  \item{min}{The minimal number that is allowed.}
  \item{max}{The maximal number that is allowed.}
}

\details{
  \code{selectDouble} displays the given message to the user and returns 
the
  number the user chooses as \code{double}. The number needs to be greater than
  or equal to \code{min} as well as less than or equal to \code{max}.
}

\value{
  The number chosen by the user as \code{double}.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{selectCore}},
  \code{\link{selectNumber}},
  \code{\link{selectOption}}.
}

\examples{
if(interactive()){
## This example can only be run in an interactive mode

selectDouble("Please choose a real number between 0 and 10",0,10)
}
}

\keyword{utilities}
