\name{selectNumber}

\alias{selectNumber}

\title{A menu for choosing an integer}

\description{
  This function generates a menu that allows the user to choose a
  number.
} 

\usage{
selectNumber(message, min, max)
}

\arguments{
  \item{message}{The message that will be shown together
    with the menu.}
  \item{min}{The minimal number that is allowed.}
  \item{max}{The maximal number that is allowed.}
}

\details{
  \code{selectNumber} displays the given message to the user and returns the
  number the user chooses as \code{integer}. This number needs to be greater than
  or equal to \code{min} as well as less than or equal to \code{max}.
}

\value{
  The number chosen by the user as \code{integer}.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{selectCore}}.
  \code{\link{selectDouble}}.
  \code{\link{selectOption}}.
}

\examples{
if(interactive()){
## This example can only be run in an interactive mode

selectNumber("Please choose a number between 0 and 10",1,9)
}
}

\keyword{utilities}
