\name{selectOption}

\alias{selectOption}
\alias{selectOptions}

\title{A menu for choosing an option}
\description{
  The function generates a menu that allows the user to choose amongst
  the options specified. \code{selectOption} allows to select only one
  of the options while \code{selectOptions} will allow the user to
  select several of them.
} 

\usage{
selectOption(options, message)
selectOptions(options, message, all)
}

\arguments{
  \item{options}{The available options as character vector.}
  \item{message}{The informational message that will be shown together
    with the menu.}
  \item{all}{An additional string that allows to select all options at
    the same time.}
}

\details{
  \code{selectOption} will offer a menu to choose one of the options
  given by the character vector \code{options}.
  \code{selectOptions} will offer a similar menu but the user can choose
  several options.
}

\value{
  The option(s) chosen by the user are being returned as a character vector.
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{selectCore}},
  \code{\link{selectDouble}},
  \code{\link{selectNumber}}.
}

\examples{
if(interactive()){
## This example can only be run in an interactive mode

selectOption(c("A","B","C"), "Please choose one of the following options")
}
}

\keyword{utilities}
