\name{selectTerms}

\alias{selectTerms}

\title{A function to select interesting annotation terms with the
  associated genes from a goCluster object}

\description{
  This function will retrieve the data for the given annotation terms
  from a \code{goCluster}-object.
}

\usage{
selectTerms(goCluster, terms)
}

\arguments{
  \item{goCluster}{An object of class \code{goCluster} with an object of
    class \code{clusterVisualHeatmap} as visualization method.}
  \item{terms}{ The annotation terms that should be returned.}
}

\details{
  The heatmap visualization method will store the identified annotation
  terms in a tree that matches the clustering tree. The
  \code{selectTerms}-function facilitates the retrieval of specified
  annotation terms from this tree.
}

\value{
  A list of elements named according to the annotation terms.
}

\examples{

set.seed(1000)

data(benomylsetupsmall)

benomylsetupsmall$classvisu <- "clusterVisualHeatmap"

a <- new("goCluster")

execute(a) <- benomylsetupsmall

selectTerms(a, "GO:0003735")
}

\keyword{ utilities }
