\name{setup<--methods}

\docType{methods}

\alias{setup<-}

\title{Configures a goCluster-object by assigning a list of parameters}

\description{
  The method performs the inverse operation of the \code{setup}-call and
  allows to configure an object that extends the
  \code{clusterModule}-class by providing a list of parameters to the
  function call.
}

\section{Methods}{
  \describe{
    \item{object = "clusterModule"}{ The method is only defined for
      the \code{clusterModule}-class. But it is available for any
      \code{goCluster}-object since all classes made available by the
      \code{goCluster}-package extend the basic
      \code{clusterModule}-class.
    }
  }
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\seealso{
  \code{\link{goCluster-class}},
}

\examples{

set.seed(1000)

data(benomylsetupsmall)

a <- new("goCluster")

## This will assign the benomyl setup to the newly
## created goCluster-object a 
setup(a) <- benomylsetupsmall

print(a)

}

\keyword{methods}
