\name{setup-methods}

\docType{methods}

\alias{setup}

\title{Returns the setup of a goCluster-module}

\description{
  The method will return the configuration of a
  \code{goCluster}-object as a list. In case the object contains
  an element of another \code{goCluster}-class, the \code{setup}-call
  will be passed to it. The list of parameters returned by this
  subobject will be embedded as an element in the list of parameters of
  the parent object.
}

\section{Methods}{
  \describe{
    \item{object = "clusterModule"}{ The method is only defined for
      the \code{clusterModule}-class. But it is available for any
      \code{goCluster}-object since all classes made available by the
      \code{goCluster}-package extend the basic
      \code{clusterModule}-class.
    }
  }
}

\author{Gunnar Wrobel, \url{work@gunnarwrobel.de}, \url{http://www.gunnarwrobel.de}.}

\examples{

## Load a small test dataset
data(benomylsetupsmall)

## This shows the configuration of the significance analysis
benomylsetupsmall$sign

## Create an emty goCluster object
test <- new("goCluster")

## Calling setup<- in order to pass the configuration
## to the new goCluster object
setup(test) <- benomylsetupsmall

## Using setup to retrieve part of the configuration
setup(test@sign)

}

\keyword{methods}
